#ifndef darksidecore_Data_Config_hh
#define darksidecore_Data_Config_hh

#include "artdaq-core/Data/detail/RawFragmentHeader.hh"

namespace ds50
{
  namespace Config
  {
    // John F., 12/9/13 -- all three executables below have been moved into artdaq
    //    enum TaskType : int {BoardReaderTask=1, EventBuilderTask=2, AggregatorTask=3};

    static const artdaq::detail::RawFragmentHeader::type_t MISSED_FRAGMENT_TYPE = 1;
    static const artdaq::detail::RawFragmentHeader::type_t V1495_FRAGMENT_TYPE =  2;
    static const artdaq::detail::RawFragmentHeader::type_t V1720_FRAGMENT_TYPE =  3;
    static const artdaq::detail::RawFragmentHeader::type_t V1724_FRAGMENT_TYPE =  4;
    static const artdaq::detail::RawFragmentHeader::type_t V1190_FRAGMENT_TYPE =  5;
    static const artdaq::detail::RawFragmentHeader::type_t V1495VETO_FRAGMENT_TYPE =  6;
    static const artdaq::detail::RawFragmentHeader::type_t V1751_FRAGMENT_TYPE =  107;

    static const int V1495_TPC_board_id = 0;
    static const int V1495_VETO_board_id = 1;
    static const int V1495_FANOUT_board_id = 2;
    static const int V1720_fist_board_id = 0;
    static const int V1724_fist_board_id = 0;
    static const int V1190_LS_board_id = 0;
    static const int V1190_WC_board_id = 1;
    static const int V1190_TPC_board_id = 2;
  }
}

#endif
