#ifndef darksidecore_Compression_SymTable_hh
#define darksidecore_Compression_SymTable_hh

#include "darksidecore/Compression/SymCode.hh"
#include <vector>
#include <fstream>

namespace ds50 {
  typedef std::vector<SymCode> SymTable;

  void readTable(const char * fname, SymTable & out, size_t countmax);
  void readTable(std::istream&, SymTable & out, size_t countmax);
  void writeTable(const char * fname, SymTable const & in);
  void reverseCodes(SymTable &);
}

#endif /* darksidecore_Compression_SymTable_hh */
